[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: Subversion 1.2 cannot read the older DB from previous version.

From: Max Bowsher <maxb_at_ukf.net>
Date: 2005-06-12 02:12:41 CEST

David Bishop wrote:
> Hello,
>
> I just updated Subversion (and TortoiseSVN) to 1.2.0. The install
> appeared
> to work correctly but I can no longer access the data base from the
> previous
> version.
>
> The Error Message received for a Commit is:
> Error: Commit failed (details follow):
> Error: Unable to open an ra_local session to URL
> Error: Unable to open repository 'file:///C:/SVN'
> Error: Berkeley DB error for filesystem C:/SVN/db while opening
> environment:
> Error: DB_VERSION_MISMATCH:
> Error: Database environment version mismatch
> Error: bdb: Program version 4.3 doesn't match environment version
>
>
>
> I cannot find any information on how to get the new version to read the
> older versions repository.

See the 1.2 release notes, and the FAQ they link to.

Max.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Sun Jun 12 02:14:29 2005

This is an archived mail posted to the Subversion Users mailing list.